{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.firefly.hide": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "hide": "q.property('silverlabs_nat:on_hide')"
            },
            {
              "perish": "q.out_of_control"
            }
          ]
        },
        "hide": {
          "particle_effects": [
            {
              "effect": "hide"
            }
          ]
        },
        "perish": {
          "particle_effects": [
            {
              "effect": "perish"
            }
          ]
        }
      }
    },
    "controller.animation.silverlabs_nat.firefly.rotation_controller": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": ["rotation"]
        }
      }
    }
  }
}
